# Personal-site README

To get a pretty version of this document, run

    $ markdown README > README.html

# License

See LICENSE file.

# Authors

See AUTHORS file.

# Dependencies

- python
- python-virtualenv

# Python dependencies

More detail in `requirements.txt` and `requirements_prod.txt`; it is best to
use virtualenv and pip to handle these. But if you insist on (Arch GNU/Linux)
packages, you will probably want the following:

- django
- python-markdown
- python-memcached

# Testing Installation

1. Run `virtualenv`.

        cd /path/to/personalsite && virtualenv ./venv/

2. Activate the virtualenv.

        source ./env/bin/activate

3. Install dependencies through `pip`.

        pip install -r requirements.txt

4. Copy `settings.py.example` to `settings.py` and modify.
   Make sure to uncomment the appropriate database section (either sqlite or
   PostgreSQL).

5. Migrate changes.

        ./manage.py migrate

6. Create superUSER

        ./manage.py createsuperuser

7. Use the following commands to start a service instance

        ./manage.py runserver

# Production Installation

Ask someone who knows, or you are going to be in trouble.
